public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/gobject-introspection/
Date: Wed, 25 Mar 2020 02:20:40 +0000 (UTC)	[thread overview]
Message-ID: <1585102815.dac7109acde03aff2a15a128a257736a4f480636.mattst88@gentoo> (raw)

commit:     dac7109acde03aff2a15a128a257736a4f480636
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 24 05:14:40 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Mar 25 02:20:15 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dac7109a

dev-libs/gobject-introspection: Version bump to 1.64.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-libs/gobject-introspection/Manifest            |  1 +
 .../gobject-introspection-1.64.0.ebuild            | 71 ++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/dev-libs/gobject-introspection/Manifest b/dev-libs/gobject-introspection/Manifest
index 83ad50553dd..4606cfc104a 100644
--- a/dev-libs/gobject-introspection/Manifest
+++ b/dev-libs/gobject-introspection/Manifest
@@ -1,2 +1,3 @@
 DIST gobject-introspection-1.60.2.tar.xz 1285000 BLAKE2B 43d96bbac8dd6600726876277f945e7eb01dba2063907c21960cbf5f49d766ac156ed116641b69dfe28f3025c4b482ffd39e8e107aba9ee48010a500111a58e4 SHA512 8e8c1c3a025cb6c18933302ada8cce7c4826f22eef791c80a97abb28379239f8d99312e1237bcea1060f4d5cf65441909b9da434561982209bb4976b1f22529e
 DIST gobject-introspection-1.62.0.tar.xz 980732 BLAKE2B 96ecc98bea97b7cb24e2c0a0adb8158cfc8915ee8e3b980adf08ec3256d4d0f87bc92d33cce30f5b23c85c4b144d8da755e5313735091b27ff53fea45a80014e SHA512 b460a95fd7a323e9b0c9a45e680ebe98bbae7632abfa53b3e0b0ec050775cab17dde693314d6d4f8e93614c32b5587f8ce0b4a4c9ee9ba46c029ce029014e638
+DIST gobject-introspection-1.64.0.tar.xz 1000240 BLAKE2B 09e6dec65a53a107bee387cef9cb271345ae564f3520bd9a6485cf1796deaa47243c05f45a72f3243e811a2c1962a2ae123a6b344819187cbf36eae0ed58fbaa SHA512 d1960424d82dea1f1d36a7c3f9922029e751e77da8dc6904c24750babe7c3f4c11a6795eb218aab342ccbb6326d0ac3eac2c2c903e90b146f4e28c0f413da1ae

diff --git a/dev-libs/gobject-introspection/gobject-introspection-1.64.0.ebuild b/dev-libs/gobject-introspection/gobject-introspection-1.64.0.ebuild
new file mode 100644
index 00000000000..a2bd4c827a0
--- /dev/null
+++ b/dev-libs/gobject-introspection/gobject-introspection-1.64.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_REQ_USE="xml"
+inherit gnome.org meson python-single-r1 toolchain-funcs xdg
+
+DESCRIPTION="Introspection system for GObject-based libraries"
+HOMEPAGE="https://wiki.gnome.org/Projects/GObjectIntrospection"
+
+LICENSE="LGPL-2+ GPL-2+"
+SLOT="0"
+IUSE="doctool gtk-doc test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+# virtual/pkgconfig needed at runtime, bug #505408
+RDEPEND="
+	>=dev-libs/gobject-introspection-common-${PV}
+	>=dev-libs/glib-2.58.0:2
+	dev-libs/libffi:=
+	doctool? (
+		$(python_gen_cond_dep '
+			dev-python/mako[${PYTHON_MULTI_USEDEP}]
+			dev-python/markdown[${PYTHON_MULTI_USEDEP}]
+		')
+	)
+	virtual/pkgconfig
+	${PYTHON_DEPS}
+"
+# Wants real bison, not virtual/yacc
+DEPEND="${RDEPEND}
+	gtk-doc? ( >=dev-util/gtk-doc-1.19
+		app-text/docbook-xml-dtd:4.3
+		app-text/docbook-xml-dtd:4.5
+	)
+	sys-devel/bison
+	sys-devel/flex
+	test? ( x11-libs/cairo[glib] )
+"
+
+pkg_setup() {
+	python-single-r1_pkg_setup
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_feature test cairo)
+		$(meson_feature doctool)
+		#-Dglib_src_dir
+		$(meson_use gtk-doc gtk_doc)
+		#-Dcairo_libname
+		-Dpython="${EPYTHON}"
+		#-Dgir_dir_prefix
+	)
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install
+	python_fix_shebang "${ED}"/usr/bin/
+	python_optimize "${ED}"/usr/$(get_libdir)/gobject-introspection/giscanner
+
+	# Prevent collision with gobject-introspection-common
+	rm -v "${ED}"/usr/share/aclocal/introspection.m4 \
+		"${ED}"/usr/share/gobject-introspection-1.0/Makefile.introspection || die
+	rmdir "${ED}"/usr/share/aclocal || die
+}


             reply	other threads:[~2020-03-25  2:20 UTC|newest]

Thread overview: 139+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-25  2:20 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-10 13:02 [gentoo-commits] repo/gentoo:master commit in: dev-libs/gobject-introspection/ Arthur Zamarin
2025-03-10 11:51 Arthur Zamarin
2024-12-02 21:44 Sam James
2024-11-27 21:10 Pacho Ramos
2024-10-16 19:38 Michał Górny
2024-10-16 19:38 Michał Górny
2024-10-16 18:32 Sam James
2024-10-12 17:12 Arthur Zamarin
2024-10-12 11:22 Michał Górny
2024-10-12 10:08 Michał Górny
2024-10-12  9:44 Michał Górny
2024-10-12  9:44 Michał Górny
2024-10-12  9:44 Michał Górny
2024-10-12  8:13 Michał Górny
2024-09-06  9:29 Michał Górny
2024-08-28 19:23 Eli Schwartz
2024-08-09  9:54 Pacho Ramos
2024-08-09  9:54 Pacho Ramos
2024-08-09  9:54 Pacho Ramos
2024-07-08 16:02 Michał Górny
2024-02-03 11:07 Sam James
2024-02-03 11:07 Sam James
2024-01-08 12:30 Sam James
2024-01-07 15:36 Sam James
2024-01-07 15:36 Sam James
2023-12-29 18:58 Arthur Zamarin
2023-12-29 18:58 Arthur Zamarin
2023-12-29 18:58 Arthur Zamarin
2023-12-29 18:39 Arthur Zamarin
2023-09-16 16:34 Matt Turner
2023-05-02 19:17 Arthur Zamarin
2023-05-02 19:16 Arthur Zamarin
2023-05-02 19:14 Arthur Zamarin
2023-05-02 19:13 Arthur Zamarin
2023-05-02 19:13 Arthur Zamarin
2023-05-02 19:13 Arthur Zamarin
2023-05-02 19:13 Arthur Zamarin
2023-05-02 19:11 Sam James
2023-03-23 19:28 Matt Turner
2023-03-14  1:19 Matt Turner
2023-03-11 14:40 Matt Turner
2022-11-16 18:10 Arthur Zamarin
2022-10-29 23:21 Matt Turner
2022-09-18  4:35 Matt Turner
2022-08-31 22:26 Sam James
2022-06-14 15:14 Sam James
2022-03-20  1:12 Matt Turner
2022-01-24 19:21 Sam James
2022-01-24 19:21 Sam James
2022-01-24 14:49 Sam James
2022-01-24 14:45 Sam James
2021-09-19 12:47 James Le Cuirot
2021-07-07 19:57 Mart Raudsepp
2021-06-04  3:12 Matt Turner
2021-05-31 17:43 Sergei Trofimovich
2021-05-21  0:51 Yixun Lan
2021-03-22 18:17 Sergei Trofimovich
2021-03-21 10:02 Sergei Trofimovich
2021-03-21  4:32 Matt Turner
2020-11-14  9:19 Mikle Kolyada
2020-11-08  0:28 Matt Turner
2020-10-11 11:53 Sergei Trofimovich
2020-09-07 18:17 Sam James
2020-09-07  5:50 Sam James
2020-08-29 22:15 Sam James
2020-08-29 19:54 Sam James
2020-08-26 17:32 Sergei Trofimovich
2020-08-19 23:54 Matt Turner
2020-08-16  2:53 Sam James
2020-08-12 15:50 Sam James
2020-06-13 17:05 Mike Gilbert
2020-06-07 21:28 Mart Raudsepp
2020-06-03 15:32 Agostino Sarubbo
2020-05-13 17:35 Sergei Trofimovich
2020-04-26  1:54 Matt Turner
2020-04-22 14:25 Agostino Sarubbo
2020-04-22  8:44 Agostino Sarubbo
2020-04-22  8:41 Agostino Sarubbo
2020-03-01 16:18 Mart Raudsepp
2020-02-11 14:31 Andreas Sturmlechner
2020-02-09 16:18 Michał Górny
2020-01-11 19:24 Mart Raudsepp
2020-01-11 19:24 Mart Raudsepp
2019-12-05 22:15 Sergei Trofimovich
2019-10-21 19:43 Matt Turner
2019-10-09  9:29 Agostino Sarubbo
2019-10-09  8:27 Agostino Sarubbo
2019-09-22  2:39 Matt Turner
2019-09-08  1:13 Thomas Deutschmann
2019-09-03  0:16 Aaron Bauman
2019-09-02 10:11 Agostino Sarubbo
2019-09-02  9:32 Agostino Sarubbo
2019-09-02  7:25 Agostino Sarubbo
2019-09-01 18:20 Mikle Kolyada
2019-08-31  5:26 Mikle Kolyada
2019-08-04 20:09 Mart Raudsepp
2019-07-18 18:35 Sergei Trofimovich
2019-05-10 17:33 Mikle Kolyada
2019-05-09 20:04 Aaron Bauman
2019-03-18 13:12 Mart Raudsepp
2018-12-30 16:05 Mikle Kolyada
2018-12-30 11:28 Mart Raudsepp
2018-12-30  5:05 Matt Turner
2018-12-28  3:46 Matt Turner
2018-12-05 15:32 Mart Raudsepp
2018-12-05  7:34 Mikle Kolyada
2018-12-05  7:07 Mikle Kolyada
2018-12-04 16:27 Mikle Kolyada
2018-12-02 14:29 Mikle Kolyada
2018-12-02 10:12 Mikle Kolyada
2018-12-01 14:51 Sergei Trofimovich
2018-11-06 23:11 Sergei Trofimovich
2018-09-11 20:45 Mart Raudsepp
2018-07-24 15:24 Michał Górny
2018-03-14 21:41 Sergei Trofimovich
2018-03-06 21:37 Tobias Klausmann
2018-03-04 20:48 Sergei Trofimovich
2018-03-03  1:43 Mart Raudsepp
2018-02-16 20:39 Sergei Trofimovich
2018-02-04 15:06 Sergei Trofimovich
2018-01-18  2:08 Mikle Kolyada
2018-01-13  6:51 Mike Frysinger
2017-08-19 23:31 Gilles Dartiguelongue
2017-07-07 21:20 Mart Raudsepp
2017-07-07 10:12 Agostino Sarubbo
2017-06-12 10:07 Mart Raudsepp
2017-05-09 20:48 Zac Medico
2017-04-23 22:40 Mart Raudsepp
2017-04-22 17:53 Tobias Klausmann
2017-04-12 10:10 Jeroen Roovers
2017-03-29  7:45 Michael Weber
2017-03-28 15:09 Michael Weber
2017-03-28 14:59 Michael Weber
2017-01-29 16:08 Fabian Groffen
2016-12-06 20:20 Markus Meier
2016-11-02  8:33 Gilles Dartiguelongue
2016-05-03 20:07 Markus Meier
2015-10-03  8:29 Markus Meier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1585102815.dac7109acde03aff2a15a128a257736a4f480636.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox